Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 25

Thread: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

  1. #11
    Join Date
    Oct 2016
    Location
    USA
    Posts
    92

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    A reboot has not helped the situation nor worsened it. However, old versions of Minecraft do run... newer ones throw this error:
    Code:
    Exception in thread "main" java.lang.UnsupportedClassVersionError: net/minecraft/client/main/Main : Unsupported major.minor version 52.0
    Not sure if this is error says anything about the java version or what. It's probably a coincidence that my previous version of Firefox was 52.

  2. #12
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    My apologies, it's java -version , one dash not two dashes.

    However the Minecraft error you are getting implies it requires Java 1.8.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  3. #13
    Join Date
    Oct 2016
    Location
    USA
    Posts
    92

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    Ahhh, okay. Much less panic now. Thanks!

    Code:
    wilson@linux:~> java -version
    java version "1.7.0_141"
    OpenJDK Runtime Environment (IcedTea 2.6.10) (suse-43.1-x86_64)
    OpenJDK 64-Bit Server VM (build 24.141-b02, mixed mode)
    Now knowing that Java does work, I believe that java 1.7.0 is insufficient for recent versions of Minecraft.

  4. #14
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    Quote Originally Posted by Amlypygid View Post
    Now knowing that Java does work, I believe that java 1.7.0 is insufficient for recent versions of Minecraft.
    Yes, the error you are getting would imply that the Minecraft "binary" is designed for Java 1.8.

    Unfortunately this will leave you with an older version of Firefox until they can either fix the repo or release a java update via the update repo. I doubt they'll release FF55 for 42.3 because it ships with an ESR version, the last to support plugins like Java that are still in use.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  5. #15
    Join Date
    Oct 2016
    Location
    USA
    Posts
    92

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    Alright. I think I'll hang tight in single-thread until Leap 15. Thanks for helping me figure this out, Miuku!
    I stand by my earlier statement: I love you openSUSE folks!

  6. #16
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    If you want a multi-threaded browser but don't want to touch Chrome, give Vivaldi a spin - I use it as my primary driver nowadays.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  7. #17
    Join Date
    Jun 2008
    Location
    Germany
    Posts
    154

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    I run FF55 with Java 1.8 on tumbleweed, no issues at all on my installation. All plug-ins/add-ons I use and need are still working. I had to accept some dependency issue but I gave it a try and it worked.

  8. #18
    Join Date
    Oct 2016
    Location
    USA
    Posts
    92

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    I've tried it before, had some problems. However, I just checked, and they're since fixed. I'll give it another whirl!

    Thanks for reminding me.

    Do you allow it to save passwords? Is it secure to do so?

  9. #19
    Join Date
    May 2012
    Location
    Finland
    Posts
    2,004

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    Quote Originally Posted by Amlypygid View Post
    Do you allow it to save passwords? Is it secure to do so?
    It uses encrypted password storage but does NOT sync them to any cloud - they are stored locally.
    .: miuku #suse @ irc.freenode.net
    :: miuku@opensuse.org

    .: h​ttps://download.opensuse.org/repositories/home:/Miuku/

  10. #20
    Join Date
    Oct 2016
    Location
    USA
    Posts
    92

    Default Re: Updated firefox to 55 from Mozilla repo, had to uninstall openjdk 8. Running on 7. Help!

    Unfortunately Tumbleweed is not an option for me. I've looked for ways to do it in the past, but my graphics workflow would be upset with OSS drivers. 1070+Nouveau is rather subpar from what I hear...

    I do, however, appreciate hearing that it works in TW! That means it's likely to work in a future version of Leap.

Page 2 of 3 FirstFirst 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •